searchNodes=[{"doc":"A data type and related functions to support an unrooted (multiple starting nodes) polytree (a tree-like graph with edges).","ref":"UnrootedPolytree.html","title":"UnrootedPolytree","type":"module"},{"doc":"","ref":"UnrootedPolytree.html#edges_for_id/2","title":"UnrootedPolytree.edges_for_id/2","type":"function"},{"doc":"Construct an UnrootedPolytree from a list of values and associated ID strings","ref":"UnrootedPolytree.html#from_list/1","title":"UnrootedPolytree.from_list/1","type":"function"},{"doc":"Construct an UnrootedPolytree from a list of lists of values and associated ID strings","ref":"UnrootedPolytree.html#from_lists/1","title":"UnrootedPolytree.from_lists/1","type":"function"},{"doc":"","ref":"UnrootedPolytree.html#node_for_id/2","title":"UnrootedPolytree.node_for_id/2","type":"function"},{"doc":"","ref":"UnrootedPolytree.html#t:edges_by_id/0","title":"UnrootedPolytree.edges_by_id/0","type":"type"},{"doc":"","ref":"UnrootedPolytree.html#t:id_and_value/0","title":"UnrootedPolytree.id_and_value/0","type":"type"},{"doc":"","ref":"UnrootedPolytree.html#t:nodes_by_id/0","title":"UnrootedPolytree.nodes_by_id/0","type":"type"},{"doc":"","ref":"UnrootedPolytree.html#t:t/0","title":"UnrootedPolytree.t/0","type":"type"},{"doc":"Directional edges for a Node. Includes both next and previous edges.","ref":"UnrootedPolytree.Edges.html","title":"UnrootedPolytree.Edges","type":"module"},{"doc":"Returns a list of the previous nodes. iex&gt; UnrootedPolytree.Edges.add_next(%UnrootedPolytree.Edges{next: [&quot;x&quot;, &quot;y&quot;, &quot;z&quot;]}, &quot;a&quot;) %UnrootedPolytree.Edges{next: [&quot;a&quot;, &quot;x&quot;, &quot;y&quot;, &quot;z&quot;], previous: []} iex&gt; UnrootedPolytree.Edges.add_next(%UnrootedPolytree.Edges{next: [&quot;x&quot;]}, &quot;x&quot;) %UnrootedPolytree.Edges{next: [&quot;x&quot;], previous: []}","ref":"UnrootedPolytree.Edges.html#add_next/2","title":"UnrootedPolytree.Edges.add_next/2","type":"function"},{"doc":"Returns a list of the previous nodes. iex&gt; UnrootedPolytree.Edges.add_previous(%UnrootedPolytree.Edges{previous: [&quot;a&quot;, &quot;b&quot;, &quot;c&quot;]}, &quot;x&quot;) %UnrootedPolytree.Edges{next: [], previous: [&quot;x&quot;, &quot;a&quot;, &quot;b&quot;, &quot;c&quot;]} iex&gt; UnrootedPolytree.Edges.add_previous(%UnrootedPolytree.Edges{previous: [&quot;x&quot;]}, &quot;x&quot;) %UnrootedPolytree.Edges{next: [], previous: [&quot;x&quot;]}","ref":"UnrootedPolytree.Edges.html#add_previous/2","title":"UnrootedPolytree.Edges.add_previous/2","type":"function"},{"doc":"Returns a list of the next nodes. iex&gt; UnrootedPolytree.Edges.next(%UnrootedPolytree.Edges{next: [&quot;x&quot;, &quot;y&quot;, &quot;z&quot;]}) [&quot;x&quot;, &quot;y&quot;, &quot;z&quot;]","ref":"UnrootedPolytree.Edges.html#next/1","title":"UnrootedPolytree.Edges.next/1","type":"function"},{"doc":"Returns a list of the previous nodes. iex&gt; UnrootedPolytree.Edges.previous(%UnrootedPolytree.Edges{previous: [&quot;a&quot;, &quot;b&quot;, &quot;c&quot;]}) [&quot;a&quot;, &quot;b&quot;, &quot;c&quot;]","ref":"UnrootedPolytree.Edges.html#previous/1","title":"UnrootedPolytree.Edges.previous/1","type":"function"},{"doc":"","ref":"UnrootedPolytree.Edges.html#t:t/0","title":"UnrootedPolytree.Edges.t/0","type":"type"},{"doc":"A node in an UnrootedPolytree. Contains any value, and a unique string ID.","ref":"UnrootedPolytree.Node.html","title":"UnrootedPolytree.Node","type":"module"},{"doc":"Constructs a Node given an ID string and any value. iex&gt; UnrootedPolytree.Node.from_id_and_value(&quot;a&quot;, %{foo: &quot;bar&quot;}) %UnrootedPolytree.Node{id: &quot;a&quot;, value: %{foo: &quot;bar&quot;}}","ref":"UnrootedPolytree.Node.html#from_id_and_value/2","title":"UnrootedPolytree.Node.from_id_and_value/2","type":"function"},{"doc":"Returns the ID string of this node. iex&gt; UnrootedPolytree.Node.id(%UnrootedPolytree.Node{id: &quot;a&quot;, value: %{foo: &quot;bar&quot;}}) &quot;a&quot;","ref":"UnrootedPolytree.Node.html#id/1","title":"UnrootedPolytree.Node.id/1","type":"function"},{"doc":"Returns the value of this node. iex&gt; UnrootedPolytree.Node.value(%UnrootedPolytree.Node{id: &quot;a&quot;, value: %{foo: &quot;bar&quot;}}) %{foo: &quot;bar&quot;}","ref":"UnrootedPolytree.Node.html#value/1","title":"UnrootedPolytree.Node.value/1","type":"function"},{"doc":"","ref":"UnrootedPolytree.Node.html#t:id/0","title":"UnrootedPolytree.Node.id/0","type":"type"},{"doc":"","ref":"UnrootedPolytree.Node.html#t:t/0","title":"UnrootedPolytree.Node.t/0","type":"type"},{"doc":"A data type and related functions to support an unrooted (multiple starting nodes) polytree (a tree-like graph with edges). Pictoral example: O -- -&gt; O -- -&gt; O O -- -&gt; O \\ ˄ ˅ / O -- -&gt; O -- -&gt; O -- -&gt; O -- -&gt; O -- -&gt; O -- -&gt; O -- -&gt; O \\ ˅ O","ref":"readme.html","title":"UnrootedPolytree","type":"extras"},{"doc":"UnrootedPolytree is licensed under the MIT license.","ref":"readme.html#license","title":"UnrootedPolytree - License","type":"extras"}]